Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008707 [DCSS] Patches tweak always 2014-06-19 10:50 2014-07-08 06:40
Reporter ensis View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0008707: You finish memorising. (letter)
Description It would be nice to see the letter of a newly memorized spell in the message output.

Reasoning:
More often than not I wan't to use a spell I memorised soon after, so I have go to the spell overview most of the time. Picking up spells would also be more consistent with picking up items, where the letter is shown already.

Workaround:
There is currently a workaround for my problem. Using the rc files it is possible to always assign the same letter to spells. Unfortunately editing rc files is a power user functionality and this feature request is not targeted at them.

References:
Patashu and Wahaha agreed and provided me with feedback to improve the patch request.
https://crawl.develz.org/tavern/viewtopic.php?f=8&t=12794&p=179344#p179344 [^]
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Show-new-spell-letter-after-memorisation.patch [^] (958 bytes) 2014-06-19 10:50 [Show Content]

- Relationships

-  Notes
(0026560)
ensis (reporter)
2014-06-19 22:59

I also realized that this feature helps regular/expert players too. Learning and forgetting spells regularly, especially with Sif Muna fragments the spell list. The new spell might not end up at the bottom. To rebind that spell to a new letter you'd have to go to the list and search there for the letter. On the other hand if its already shown in the message window, rebinding the spell would be faster.
(0026596)
MarvinPA (developer)
2014-06-23 02:43

These messages are already shown when using the spell_slot option, eg: "You finish memorising. Spell assigned to 'z'.", in add_spell_to_memory(). Displaying it for all spells sounds fine but it should avoid duplicating the existing messages.
(0026698)
neil (administrator)
2014-07-08 06:39

Fixed in trunk (0.15-a0-1938-g2232fbc), thanks! I took MarvinPA's suggestion and made the existing spell_slot message print all the time.

- Issue History
Date Modified Username Field Change
2014-06-19 10:50 ensis New Issue
2014-06-19 10:50 ensis File Added: 0001-Show-new-spell-letter-after-memorisation.patch
2014-06-19 22:59 ensis Note Added: 0026560
2014-06-23 02:43 MarvinPA Note Added: 0026596
2014-07-08 06:39 neil Note Added: 0026698
2014-07-08 06:39 neil Status new => resolved
2014-07-08 06:39 neil Fixed in Branch => 0.15 development branch
2014-07-08 06:39 neil Resolution open => done
2014-07-08 06:39 neil Assigned To => neil


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker